c     PROGRAMS FOR ONE-LOOP ON-SHELL CALCULATIONS IN THE MSSM
c     Authors: P.H.Chankowski, S.Pokorski, J.Rosiek
c     e-mail: rosiek@fuw.edu.pl
c             chank@padova.infn.it
 
c     FILENAME: BOX_CR.FOR
c     Released: 01:02:1996(J.R.)
 
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c     Auxiliary file defining box diagram contributions to          c
c     sigma (e^-e^+ --> Z0 S_i, P_j S_i) as zero. It may be used    c
c     when box contributions are neglected in order to avoid        c
c     linking full box library and increasing executable size       c
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
 
      double precision function zzs_box(i,s)
      implicit double precision (a-h,o-z)
      logical bstat
      common/bswitch/bstat
      zzs_box = 0
      if (bstat) stop 'BOX_CR.F linked when bstat=.true. ?'
      return
      end
  
      double precision function zzs_box_d(i,s,cteta)
      implicit double precision (a-h,o-z)
      logical bstat
      common/bswitch/bstat
      zzs_box_d = 0
      if (bstat) stop 'BOX_CR.F linked when bstat=.true. ?'
      return
      end

      double precision function zps_box(i,s)
      implicit double precision (a-h,o-z)
      logical bstat
      common/bswitch/bstat
      zps_box = 0
      if (bstat) stop 'BOX_CR.F linked when bstat=.true. ?'
      return
      end
  
      double precision function zps_box_d(i,s,cteta)
      implicit double precision (a-h,o-z)
      logical bstat
      common/bswitch/bstat
      zps_box_d = 0
      if (bstat) stop 'BOX_CR.F linked when bstat=.true. ?'
      return
      end



  
